Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1497932 - Plug-Ins for example flash fails because of unresolved symbols.
Summary: Plug-Ins for example flash fails because of unresolved symbols.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-03 07:21 UTC by Frank Büttner
Modified: 2017-10-10 19:30 UTC (History)
16 users (show)

Fixed In Version: firefox-56.0-4.fc26 firefox-56.0-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-10 19:30:29 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1720908 0 None None None 2017-10-03 09:14:32 UTC
Mozilla Foundation 1400175 0 None None None 2017-10-04 09:01:52 UTC

Description Frank Büttner 2017-10-03 07:21:28 UTC
Description of problem:
When firefox try to load an plugin, it will fails, because an unresolved gtk symbol.

Version-Release number of selected component (if applicable):
firefox-56.0-2.fc26.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. install an plugin for example flash
2. visit http://get.adobe.com/flashplayer/about/ to check the plugig


Actual results:
Plugins will not work.

Expected results:
Working plugins

Additional info:
The journal will throw this error:

firefox.desktop[13308]: /usr/lib64/firefox/plugin-container: symbol lookup error: /usr/lib64/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
firefox.desktop[13308]: [Parent 13308] WARNING: pipe error (79): Connection reset by peer: file /builddir/build/BUILD/firefox-56.0/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
firefox.desktop[13308]: /usr/lib64/firefox/plugin-container: symbol lookup error: /usr/lib64/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
firefox.desktop[13308]: [Parent 13308] WARNING: pipe error (124): Connection reset by peer: file /builddir/build/BUILD/firefox-56.0/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353

Comment 1 Martin Stransky 2017-10-03 09:07:26 UTC
Yes, I can see that...at least flash does not work for me too.

Comment 2 Eduard Vopicka 2017-10-03 09:27:55 UTC
Comment from Roman Shipovskij inhttps://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1720908

"Official Firefox build does not have this problem"

Comment 3 Martin Stransky 2017-10-04 08:52:54 UTC
Fix added to firefox-56.0-4.

Comment 4 Satish Balay 2017-10-04 15:20:02 UTC
(In reply to Martin Stransky from comment #3)
> Fix added to firefox-56.0-4.

Thanks! works now for me.

Comment 5 Fedora Update System 2017-10-04 15:26:15 UTC
firefox-56.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7af4adba67

Comment 6 Fedora Update System 2017-10-04 15:26:23 UTC
firefox-56.0-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a8fc3f164

Comment 7 Eduard Vopicka 2017-10-04 21:00:59 UTC
Fixes problem with flash plugin for me. Thank you for quick fix.

Comment 8 Kristjan Kullerkann 2017-10-05 10:23:04 UTC
Fixed for me also.

Comment 9 Fedora Update System 2017-10-05 22:51:30 UTC
firefox-56.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-10-06 04:28:25 UTC
firefox-56.0-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a8fc3f164

Comment 11 Fedora Update System 2017-10-06 18:57:05 UTC
firefox-56.0-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5afb5b3327

Comment 12 Fedora Update System 2017-10-08 06:23:44 UTC
firefox-56.0-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5afb5b3327

Comment 13 Fedora Update System 2017-10-10 19:30:29 UTC
firefox-56.0-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.